window.setCustomField = function()
{
    $('#instanceInfoContainer .custom-btn').addClass('disabled').attr('type', 'button');

    if(!customFields) return;

    let changed = false;
    customFields.forEach(function(field)
    {
        if($('input[name=' + field.name + ']').val() != field.value) changed = true;
    });

    if(changed) $('#instanceInfoContainer .custom-btn').removeClass('disabled').attr('type', 'submit');
}

$(function()
{
    if(typeof zentaoApp !== 'undefined')
    {
        $('.progress-container').remove();
        $('#setting').remove();
    }
});
